import 'models/socket.dart';

abstract class BaseSocket {
  Future<void> connect();
  Future<void> disconnect();
  Future<void> subscribe(String channel);
  Future<void> unsubscribe(String channel);
  Stream<SocketData> get stream;
  Stream<SocketEvent> get eventStream;
  Future<bool> get isConnected;
}
